$(document).ready(function() {
	var state;
	$("#chevron td").click(function(evt) {
		if($(this).attr("style").indexOf("default")!=-1) {
			return false;
		}	
		var currentId = $(this).attr('id');
		setSelectedMgmtStyle(currentId);
		if ( $(this).hasClass("selected") ) {
			$(this).removeClass("selected");
			update("mgmtstyle", "mgmtStyle-default");
			if(currentgrid!=null) {
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(0,"");
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				var assetClass = getSelectedAssetClass();
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(1,assetClass, true);
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				currentgrid.groupBy(0);
				
			}	
			
		} else {
			$("#chevron td").removeClass("selected");
			var id = $(this).attr("class");
			$(this).addClass("selected");
			update("mgmtstyle", id);
			var title = $("#"+id+"-title span").html();
			if(currentgrid!=null) {	
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(0,title);
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				var assetClass = getSelectedAssetClass();
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(1,assetClass, true);
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				currentgrid.groupBy(0);
				
			}	
		}
		update("assetClass", getSelectedAssetClassId());
		evt.preventDefault();
	});
	
	var readMoreText = '';		
	if ( document.getElementById("readMoreText") != null ) {
		readMoreText = document.getElementById("readMoreText").value; 
	}	
	$('div.short').expander({
		expandEffect: 'show',
		expandText: readMoreText,
		userCollapse: false,
		beforeExpand: function($thisElement) {
			$thisElement.parent().removeClass("truncated");
		},
		onCollapse: function($thisElement, byUser) {
			$thisElement.parent().addClass("truncated");
		}
	});

	$("#chevron2 td").click(function(evt) {
		if($(this).attr("style").indexOf("default")!=-1) {
			return false;
		}	
		var currentId = $(this).attr('id');
		setSelectedAssetClass(currentId);
		if ( $(this).hasClass("selected") ) {
			$(this).removeClass("selected");
			update("assetClass", "assetClass-default");
			if(currentgrid!=null) {
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(1, "");
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				var mgmtStyle = getSelectedMgmtStyle();
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(0, mgmtStyle, true);
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				currentgrid.groupBy(0);
				
			}	
		} else {
			$("#chevron2 td").removeClass("selected");
			var id=$(this).attr("class");
			$(this).addClass("selected");
			update("assetClass", id);
			var title = $("#"+id+"-title span").html();
			if(currentgrid!=null) {
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(1,title);
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				var mgmtStyle = getSelectedMgmtStyle();
				state = currentgrid.getSortingState(); //get sorting state
				currentgrid.filterBy(0, mgmtStyle, true);
				currentgrid.sortRows(state[0],null,state[1]); //restore sorting
				currentgrid.groupBy(0);
				
			}	
		}
		update("mgmtstyle", getSelectedMgmtStyleId());
		evt.preventDefault();
	});
});

function getSelectedAssetClass() {
	var title = $("#assetClass-title").html();
	var defaultTitle = $("#assetClass-default-title a span").html();
	return ( title != defaultTitle ) ? title : "";
}

function getSelectedMgmtStyle() {
	var title = $("#mgmtstyle-title").html();
	var defaultTitle = $("#mgmtStyle-default-title a span").html();
	return ( title != defaultTitle ) ? title : "";
}

function getSelectedAssetClassId() {
	var assetClassObj = document.getElementById("assetClassId");
	
	var assetClassId = 'assetClass-default';
	
	if(assetClassObj!=null && assetClassObj.value!=''){
		assetClassId = assetClassObj.value;
	} 
	return assetClassId;
}

function getSelectedMgmtStyleId() {
	var mgmtStyleObj = document.getElementById("mgmtStyleId");
	
	var mgmtStyleId = 'mgmtStyle-default';
	
	if(mgmtStyleObj!=null && mgmtStyleObj.value!=''){
		mgmtStyleId = mgmtStyleObj.value;
	} 
	return mgmtStyleId;
}

function update(which, what) {
	var readMoreText = '';		
	if ( document.getElementById("readMoreText") != null ) {
		readMoreText = document.getElementById("readMoreText").value; 
	}
	$("#"+which).removeClass();
	$("#"+which).addClass(what);
	$("#"+which).addClass("truncated");
	$("#"+which +"-title").html($("#"+what + "-title span").html());
	$("#"+which+"-desc").html($("#"+what + "-desc").html());
	$('.short').expander({
		expandEffect: 'show',
		expandText: readMoreText,
		userCollapse: false,
		beforeExpand: function($thisElement) {
			$thisElement.parent().removeClass("truncated");
		},
		onCollapse: function($thisElement, byUser) {
			$thisElement.parent().addClass("truncated");
		}
	});
}

function setSelectedMgmtStyle(id) {
		var mgmtStyle = document.getElementById("mgmtStyleId");
		if(mgmtStyle.value == id)
			{
				mgmtStyle.value = 'mgmtStyle-default';
			}
		else{
				mgmtStyle.value =id; 
		}
}

function setSelectedAssetClass(id) {
		var assetClass = document.getElementById("assetClassId");
		if(assetClass.value == id)
			{
				assetClass.value = 'assetClass-default';
			}
			else{
				assetClass.value =id; 
			}
}

function setSelectedView(id) {
				var vs = $("div.view");
				for (var i=0; i<vs.length; i++ ) {
					var v = vs[i];
					if ( v.id == ("view-" +id) ) {
						$("#"+v.id).addClass("selected");
						var hiddenView = document.getElementById("hiddenViewId");
						hiddenView.value =id; 
					}
					else {
						$("#"+v.id).removeClass("selected");
					}
				}
}

function openDisclosure() {
	var disText = document.getElementById('disclosureTextId').value;
	var disWin = window.open("","disclosurePage","width=600,height=400,scrollbars=1,resizable=0")
	
	disWin.document.open();
	disWin.document.write(disText);
	disWin.document.close();
}